/* CSS za mobilni prikaz
    Mobile-first CSS
*/

* {
    padding: 0;
    margin: 0;
}

body {
    font-family: Arial, Helvetica, sans-serif;
}

header {
    width: 100%;
    height: 7em;
    background-color: #bcea43;
}

header h1 {
    font-size: 2em;
    padding-top: 1em;
    text-align: center;
    color: #fff;
}

header img {
    display: none;
}

nav {
    height: 2em;
    background-color: #333;
    font-size: 1em;
    text-align: center;
    padding: 10px 0;
}

nav a {
    color: #fff;
    text-decoration: none;
    margin: 0.5em 1.5em;
}

nav a:hover {
    color: #bcea43;
    cursor: pointer;
}

section {
    padding: 1em;
    text-align: justify;
}

h1 {
    text-align: center;
    padding: 0.5em;
}

p {
    padding: 0.5em 0;
}

a {
    color: #bcea43;
    text-decoration: none;
}

a:hover {
    color: #333;
}

section img {
    width: 100%;
    display: block;
    margin: 0 auto;
}

footer {
    background-color: #333;
    color: #fff;
    padding: 10px;
    text-align: center;
}


/*** CSS za tablete ***/
/* ovo nazivamo "break-point" - točka prijeloma */
@media (min-width: 768px) {
    header img {
        display: block;
        float: left;
        margin-left: 1em;
    }

    section {
        padding: 2em;
    }
}

/*** CSS za desktop verzije */
@media (min-width: 1024px) {
    header img {
        margin-left: 3em;
    }

    header h1 {
        margin-right: 200px;
    }

    nav {
        text-align: right;
        font-weight: bold;
    }
    section img {
        max-width: 60%;
    }
    section p {
        font-size: 13pt;
        line-height: 1.5em;
        max-width: 700px;
        margin: 20px auto;
    }
}